summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustavo Zacarias <gustavo@zacarias.com.ar>2013-12-02 00:29:15 (GMT)
committer Peter Korsgaard <peter@korsgaard.com>2013-12-02 07:45:10 (GMT)
commit287cfe6b21f65dcc93a06700dbedc7bade267c33 (patch)
tree25fa55a66be100603bc08655ac3beb851bf43def
parentfba3da563867139b7ef7c24fbf7b426bd8f52a74 (diff)
downloadbuildroot-287cfe6b21f65dcc93a06700dbedc7bade267c33.tar.gz
buildroot-287cfe6b21f65dcc93a06700dbedc7bade267c33.tar.bz2
berkeleydb: add compat option
Add DB 1.85 compatibility layer option, it's needed for arpd in iproute2 and other old apps that haven't moved to the newer API. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/berkeleydb/Config.in10
-rw-r--r--package/berkeleydb/berkeleydb.mk2
2 files changed, 10 insertions, 2 deletions
diff --git a/package/berkeleydb/Config.in b/package/berkeleydb/Config.in
index a597abb..ff1e386 100644
--- a/package/berkeleydb/Config.in
+++ b/package/berkeleydb/Config.in
@@ -6,8 +6,16 @@ config BR2_PACKAGE_BERKELEYDB
http://www.sleepycat.com/products/db.shtml
+if BR2_PACKAGE_BERKELEYDB
+
+config BR2_PACKAGE_BERKELEYDB_COMPAT185
+ bool "DB 1.85 compatibility"
+ help
+ Build and install DB 1.85 compatibility API.
+
config BR2_PACKAGE_BERKELEYDB_TOOLS
bool "install tools"
- depends on BR2_PACKAGE_BERKELEYDB
help
Install berkeleydb tools, mostly useful for debugging purposes.
+
+endif
diff --git a/package/berkeleydb/berkeleydb.mk b/package/berkeleydb/berkeleydb.mk
index 0e3e830..f325020 100644
--- a/package/berkeleydb/berkeleydb.mk
+++ b/package/berkeleydb/berkeleydb.mk
@@ -36,7 +36,7 @@ define BERKELEYDB_CONFIGURE_CMDS
$(if $(BR2_INSTALL_LIBSTDCPP),--enable-cxx,--disable-cxx) \
--disable-java \
--disable-tcl \
- --disable-compat185 \
+ $(if $(BR2_PACKAGE_BERKELEYDB_COMPAT185),--enable-compat185,--disable-compat185) \
$(SHARED_STATIC_LIBS_OPTS) \
--with-pic \
--enable-o_direct \